/**
 */
import * as $Util from '@alicloud/tea-util';
import OpenApi, * as $OpenApi from '@alicloud/openapi-client';
import * as $tea from '@alicloud/tea-typescript';
export declare class CreateAssistantMessageHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateAssistantMessageRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    content?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    role?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateAssistantMessageResponseBody extends $tea.Model {
    assistantId?: string;
    createdAt?: number;
    id?: string;
    object?: string;
    role?: string;
    runId?: string;
    threadId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateAssistantMessageResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateAssistantMessageResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateAssistantRunHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateAssistantRunResponseBody extends $tea.Model {
    assistantId?: string;
    cancelledAt?: number;
    completedAt?: number;
    createdAt?: number;
    expiresAt?: number;
    failedAt?: number;
    id?: string;
    lastErrorMsg?: string;
    object?: string;
    startedAt?: number;
    status?: string;
    threadId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateAssistantRunResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateAssistantRunResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateAssistantThreadHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateAssistantThreadResponseBody extends $tea.Model {
    createdAt?: number;
    id?: string;
    object?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateAssistantThreadResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: CreateAssistantThreadResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteAssistantMessageHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteAssistantMessageResponseBody extends $tea.Model {
    deleted?: boolean;
    id?: string;
    object?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteAssistantMessageResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteAssistantMessageResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteAssistantThreadHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteAssistantThreadResponseBody extends $tea.Model {
    deleted?: boolean;
    id?: string;
    object?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DeleteAssistantThreadResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteAssistantThreadResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListAssistantMessageHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListAssistantMessageRequest extends $tea.Model {
    limit?: number;
    runId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListAssistantMessageResponseBody extends $tea.Model {
    data?: ListAssistantMessageResponseBodyData[];
    object?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListAssistantMessageResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ListAssistantMessageResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class RetrieveAssistantMessageHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class RetrieveAssistantMessageResponseBody extends $tea.Model {
    assisantId?: string;
    content?: any[];
    createdAt?: number;
    id?: string;
    object?: string;
    role?: string;
    runId?: string;
    threadId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class RetrieveAssistantMessageResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: RetrieveAssistantMessageResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class RetrieveAssistantThreadHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class RetrieveAssistantThreadResponseBody extends $tea.Model {
    createdAt?: number;
    id?: string;
    object?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class RetrieveAssistantThreadResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: RetrieveAssistantThreadResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListAssistantMessageResponseBodyData extends $tea.Model {
    assistantId?: string;
    content?: any[];
    createdAt?: number;
    id?: string;
    object?: string;
    role?: string;
    runId?: string;
    threadId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export default class Client extends OpenApi {
    constructor(config: $OpenApi.Config);
    /**
     * 创建AI助理的消息体
     *
     * @param request - CreateAssistantMessageRequest
     * @param headers - CreateAssistantMessageHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns CreateAssistantMessageResponse
     */
    createAssistantMessageWithOptions(threadId: string, request: CreateAssistantMessageRequest, headers: CreateAssistantMessageHeaders, runtime: $Util.RuntimeOptions): Promise<CreateAssistantMessageResponse>;
    /**
     * 创建AI助理的消息体
     *
     * @param request - CreateAssistantMessageRequest
     * @returns CreateAssistantMessageResponse
     */
    createAssistantMessage(threadId: string, request: CreateAssistantMessageRequest): Promise<CreateAssistantMessageResponse>;
    /**
     * 创建AI助理的运行任务
     *
     * @param headers - CreateAssistantRunHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns CreateAssistantRunResponse
     */
    createAssistantRunWithOptions(threadId: string, headers: CreateAssistantRunHeaders, runtime: $Util.RuntimeOptions): Promise<CreateAssistantRunResponse>;
    /**
     * 创建AI助理的运行任务
     * @returns CreateAssistantRunResponse
     */
    createAssistantRun(threadId: string): Promise<CreateAssistantRunResponse>;
    /**
     * 创建AI助理线程实例
     *
     * @param headers - CreateAssistantThreadHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns CreateAssistantThreadResponse
     */
    createAssistantThreadWithOptions(headers: CreateAssistantThreadHeaders, runtime: $Util.RuntimeOptions): Promise<CreateAssistantThreadResponse>;
    /**
     * 创建AI助理线程实例
     * @returns CreateAssistantThreadResponse
     */
    createAssistantThread(): Promise<CreateAssistantThreadResponse>;
    /**
     * 删除AI助理的消息体
     *
     * @param headers - DeleteAssistantMessageHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns DeleteAssistantMessageResponse
     */
    deleteAssistantMessageWithOptions(threadId: string, messageId: string, headers: DeleteAssistantMessageHeaders, runtime: $Util.RuntimeOptions): Promise<DeleteAssistantMessageResponse>;
    /**
     * 删除AI助理的消息体
     * @returns DeleteAssistantMessageResponse
     */
    deleteAssistantMessage(threadId: string, messageId: string): Promise<DeleteAssistantMessageResponse>;
    /**
     * 删除AI助理线程实例
     *
     * @param headers - DeleteAssistantThreadHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns DeleteAssistantThreadResponse
     */
    deleteAssistantThreadWithOptions(threadId: string, headers: DeleteAssistantThreadHeaders, runtime: $Util.RuntimeOptions): Promise<DeleteAssistantThreadResponse>;
    /**
     * 删除AI助理线程实例
     * @returns DeleteAssistantThreadResponse
     */
    deleteAssistantThread(threadId: string): Promise<DeleteAssistantThreadResponse>;
    /**
     * 获取AI助理消息列表
     *
     * @param request - ListAssistantMessageRequest
     * @param headers - ListAssistantMessageHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns ListAssistantMessageResponse
     */
    listAssistantMessageWithOptions(threadId: string, request: ListAssistantMessageRequest, headers: ListAssistantMessageHeaders, runtime: $Util.RuntimeOptions): Promise<ListAssistantMessageResponse>;
    /**
     * 获取AI助理消息列表
     *
     * @param request - ListAssistantMessageRequest
     * @returns ListAssistantMessageResponse
     */
    listAssistantMessage(threadId: string, request: ListAssistantMessageRequest): Promise<ListAssistantMessageResponse>;
    /**
     * 获取AI助理的消息体
     *
     * @param headers - RetrieveAssistantMessageHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns RetrieveAssistantMessageResponse
     */
    retrieveAssistantMessageWithOptions(threadId: string, messageId: string, headers: RetrieveAssistantMessageHeaders, runtime: $Util.RuntimeOptions): Promise<RetrieveAssistantMessageResponse>;
    /**
     * 获取AI助理的消息体
     * @returns RetrieveAssistantMessageResponse
     */
    retrieveAssistantMessage(threadId: string, messageId: string): Promise<RetrieveAssistantMessageResponse>;
    /**
     * 检索AI助理线程实例
     *
     * @param headers - RetrieveAssistantThreadHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns RetrieveAssistantThreadResponse
     */
    retrieveAssistantThreadWithOptions(threadId: string, headers: RetrieveAssistantThreadHeaders, runtime: $Util.RuntimeOptions): Promise<RetrieveAssistantThreadResponse>;
    /**
     * 检索AI助理线程实例
     * @returns RetrieveAssistantThreadResponse
     */
    retrieveAssistantThread(threadId: string): Promise<RetrieveAssistantThreadResponse>;
}
